 //////////////////////////
 //    Code Mobi.doc     //
 //////////////////////////
 /*  Ce programme est issu du site https://latelier-des-chercheurs.fr/docs/station-de-documentation
  *  Il permet d'Ã©muler un clavier et sert Ã  fabriquer un boitier de commande dÃ©portÃ© pour le logiciel Doâ€¢doc
  *  dasÃ© sur une carte de type arduino pro micro avec un ATmega32U4.
  *  Dans le logiciel Arduino, dans "type de carte", choisir "Arduino Leonardo".
  *  
  *  MATERIEL :
  *  1 Arduino Pro Micro (ATmega32U4).
  *  3 bouton de type borne d'arcade
  *  1 cable USB-microUSB
  *  Du fil Ã©lectrique
 
                          BROCHAGE
                      _________________                  
                     |    Pro  micro   |
                     |    ATmega32U4   |                
                     |[ ]10        9[ ]|                   
                     |[ ]16        8[ ]|                    
                     |[ ]14        7[X]|Bouton valider          
                     |[ ]15        6[X]|Bouton prÃ©cÃ©dent        
                     |[ ]A0        5[X]|Bouton suivant       
                     |[ ]A1        4[ ]|           
                     |[ ]A2        3[ ]|                    
                     |[ ]A3        2[ ]|
                     |[ ]VCC     GND[ ]|          
                     |[ ]RST     GND[ ]|          
  Terre des 3 boutons|[X]GND     RX1[ ]|                    
                     |[ ]RAW     TX0[ ]|                     
                     |      +---+      |                     
                     |______|USB|______|  

Sous licence CC-By-Nc-Sa - L'Atelier des Chercheurs.
modifiÃ© par Antony Auffret - Les petits dÃ©brouillards mars 2018 */

   
 #include <Keyboard.h> // on inclue la bibliothÃ¨que qui gÃ¨re l'Ã©mulation de clavier
 
 // affectation des broches

    char ctrlKey = KEY_LEFT_CTRL;
   // char shiftKey = KEY_LEFT_SHIFT;
    
    int brochePlaylistMusique = 5;
    int brochePlaylistMetro = 7;
    int brochePlaylistComedie = 9;

    void setup() 
    {
      Serial.begin(9600); // initialiser le moniteur serie
      pinMode(brochePlaylistMusique, INPUT);       // Configure la broche en entrÃ©e
      digitalWrite(brochePlaylistMusique, HIGH);   // Met la broche en Ã©tat "haut"

      pinMode(brochePlaylistMetro, INPUT);     // Configure la broche en entrÃ©e
      digitalWrite(brochePlaylistMetro, HIGH); // Met la broche en Ã©tat "haut"

      pinMode(brochePlaylistComedie, INPUT);        // Configure le broche en entrÃ©e
      digitalWrite(brochePlaylistComedie, HIGH);    // Met la broche en Ã©tat "haut"

    }

    void loop()
    {

      if (digitalRead(brochePlaylistMusique) == 0)   // Quand on appuie sur le bouton, la broche est dans l'Ã©tat "bas"
      {
      // Keyboard.write('w');  // envoie un "1" Ã  l'ordinateur par la fonctionalitÃ© Keyboard HID

        Keyboard.press(ctrlKey);
       Keyboard.press('g'); // envoi ctrl "g" vers playlist musique
        delay(100);
       Keyboard.releaseAll();
        delay(1000);           // un dÃ©lai pour Ã©viter d'envoyer plusieurs caractÃ¨res
      }

      if (digitalRead(brochePlaylistMetro) == 0) // Quand on appuie sur le bouton, la broche est dans l'Ã©tat "bas"
      {
        Keyboard.press(ctrlKey);
        Keyboard.press('p');  // envoie ctrl "p" vers playlist metro
        delay(100);           // dÃ©lai
        Keyboard.releaseAll();
        delay(1000);
      }

      if (digitalRead(brochePlaylistComedie) == 0)    // Quand on appuie sur le bouton, la broche est dans l'Ã©tat "bas"
      {
        //Serial.println("touche comedie"); POUR VOIR SI BOUTON FONCTIONNE
        Keyboard.press(ctrlKey);
        Keyboard.press('y'); // envoie ctrl "y" vers playlist comedie
        delay(100);          // dÃ©lai
        Keyboard.releaseAll();
        delay(1000);
      }
      
    }
